{% extends 'base.html' %}

{% load static %}

{% block content %}
<div class="container">
    <h1 class="text-center mt-5">Projects</h1>
    <div class="row">
        {% for project in projects %}
        <div class="col-md-4">
            <a href="{% url 'projects:project_detail' project.pk %}" class="card-link">
                <div class="card mb-4 rounded shadow-sm">
                    <img class="card-img-top rounded-top" src="{% static project.image %}" alt="{{ project.title }}">
                    <div class="card-body text-center">
                        <h5 class="card-title">{{ project.title }}</h5>
                        <p class="card-text">Tech: {{ project.technology }}</p>
                        <p class="card-text">{{ project.description|truncatechars:100 }}</p>
                        <a href="{% url 'projects:project_detail' project.pk %}" class="btn btn-primary btn-read-more">Read More</a>
                    </div>
                </div>
            </a>
        </div>
        {% endfor %}
    </div>
</div>

<style>
    .card {
        transition: transform 0.3s;
        cursor: pointer;
    }

    .card:hover {
        transform: translateY(-5px);
    }

    .card-img-top {
        object-fit: scale-down;
        height: 200px;
    }

    .card-title {
        font-weight: bold;
        margin-bottom: 10px;
    }

    .btn-read-more {
        background-color: #007bff;
        border-color: #007bff;
        font-weight: bold;
        transition: background-color 0.3s ease;
    }

    .btn-read-more:hover,
    .btn-read-more:focus {
        background-color: #0056b3;
        border-color: #0056b3;
    }
</style>

{% endblock %}
